Join the community today
Register Now

Wordpress Testing versionpress - few issues git 1.9 ?

Discussion in 'Blogs & CMS usage' started by Matt Williams, Nov 27, 2015.

  1. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
  2. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    there's no git 1.9 packages for centos available.. latest for centos 7 at least is git 1.8.3

    Code:
    yum list git --disableplugin=priorities --enablerepo=remi,remi-test,epel-testing,centosplus,fasttrack -q
    Installed Packages
    git.x86_64                                                                                                             1.8.3.1-4.el7                                                                                                             @base  
    Available Packages
    git.x86_64                                                                                                             1.8.3.1-5.el7                                                                                                             fasttrack
    but never used versionpress so no idea about the access fules can be installed - could apache .htaccess specific so not applicable to nginx ?
     
  3. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    Ok looks like IUS Community repo has a upgrade for git 2.6.2
    centmin mod 123.09beta01 has addon/python27_install.sh which installs python 2.7 via IUS Community setup repo for centos 6.x only - not for centos 7 so you can't use it to install IUS Community repo on centos 7.

    CentOS 7 Only Git 2.6 Instructions



    As such, for CentOS 7.x only, you can manually install it via these commands (not for CentOS 6.x) - test on test server first no guarantees.

    for CentOS 7.x ONLY
    Code:
    rpm --import https://dl.iuscommunity.org/pub/ius/IUS-COMMUNITY-GPG-KEY
    yum -y install https://centos7.iuscommunity.org/ius-release.rpm
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/ius.repo
    cp -p /etc/yum.repos.d/ius.repo /etc/yum.repos.d/ius.OLD
    
    for CentOS 6.x ONLY
    Code:
    rpm --import https://dl.iuscommunity.org/pub/ius/IUS-COMMUNITY-GPG-KEY
    yum -y install https://centos6.iuscommunity.org/ius-release.rpm
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/ius.repo
    cp -p /etc/yum.repos.d/ius.repo /etc/yum.repos.d/ius.OLD
    
    then this code below is one whole command to copy and paste, not one line at a time, but entire code
    Code:
                    ex -s /etc/yum.repos.d/ius.repo << EOF
    :/\[ius/ , /gpgkey/
    :a
    priority=98
    .
    :w
    :/\[ius-debuginfo/ , /gpgkey/
    :a
    priority=98
    .
    :w
    :/\[ius-source/ , /gpgkey/
    :a
    priority=98
    .
    :w
    :q
    EOF
    after the /etc/yum.repos.d/ius.repo file contents should look like below
    Code:
    [ius]
    name=IUS Community Packages for Enterprise Linux 7 - $basearch
    #baseurl=https://dl.iuscommunity.org/pub/ius/stable/CentOS/7/$basearch
    mirrorlist=https://mirrors.iuscommunity.org/mirrorlist?repo=ius-centos7&arch=$basearch&protocol=http
    failovermethod=priority
    enabled=0
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/IUS-COMMUNITY-GPG-KEY
    priority=98
    
    [ius-debuginfo]
    name=IUS Community Packages for Enterprise Linux 7 - $basearch - Debug
    #baseurl=https://dl.iuscommunity.org/pub/ius/stable/CentOS/7/$basearch/debuginfo
    mirrorlist=https://mirrors.iuscommunity.org/mirrorlist?repo=ius-centos7-debuginfo&arch=$basearch&protocol=http
    failovermethod=priority
    enabled=0
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/IUS-COMMUNITY-GPG-KEY
    priority=98
    
    [ius-source]
    name=IUS Community Packages for Enterprise Linux 7 - $basearch - Source
    #baseurl=https://dl.iuscommunity.org/pub/ius/stable/CentOS/7/SRPMS
    mirrorlist=https://mirrors.iuscommunity.org/mirrorlist?repo=ius-centos7-source&arch=source&protocol=http
    failovermethod=priority
    enabled=0
    gpgcheck=1
    gpgkey=file:///etc/pki/rpm-gpg/IUS-COMMUNITY-GPG-KEY
    priority=98
    
    Code:
    yum list git2u* --enablerepo=ius --disableplugin=priorities
    Loaded plugins: fastestmirror
    base                                                                                                                                                                                                                               | 3.6 kB  00:00:00
    epel/x86_64/metalink                                                                                                                                                                                                               | 3.3 kB  00:00:00
    epel                                                                                                                                                                                                                               | 4.3 kB  00:00:00
    extras                                                                                                                                                                                                                             | 3.4 kB  00:00:00
    ius                                                                                                                                                                                                                                | 2.2 kB  00:00:00
    mariadb                                                                                                                                                                                                                            | 2.9 kB  00:00:00
    rpmforge                                                                                                                                                                                                                           | 1.9 kB  00:00:00
    updates                                                                                                                                                                                                                            | 3.4 kB  00:00:00
    (1/4): epel/x86_64/updateinfo                                                                                                                                                                                                      | 389 kB  00:00:00
    (2/4): ius/x86_64/primary_db                                                                                                                                                                                                       |  78 kB  00:00:00
    (3/4): extras/7/x86_64/primary_db                                                                                                                                                                                                  | 117 kB  00:00:00
    (4/4): epel/x86_64/primary_db                                                                                                                                                                                                      | 3.6 MB  00:00:01
    Loading mirror speeds from cached hostfile
    * base: centos.mirror.serversaustralia.com.au
    * epel: fedora.mirror.serversaustralia.com.au
    * extras: centos.mirror.serversaustralia.com.au
    * ius: ius.mirror.digitalpacific.com.au
    * rpmforge: mirror.hmc.edu
    * updates: mirror.nsw.coloau.com.au
    Available Packages
    git2u.x86_64                                                                                                                 2.6.2-1.ius.centos7                                                                                                       ius
    git2u-all.noarch                                                                                                             2.6.2-1.ius.centos7                                                                                                       ius
    git2u-bzr.noarch                                                                                                             2.6.2-1.ius.centos7                                                                                                       ius
    git2u-cvs.noarch                                                                                                             2.6.2-1.ius.centos7                                                                                                       ius
    git2u-daemon.x86_64                                                                                                          2.6.2-1.ius.centos7                                                                                                       ius
    git2u-debuginfo.x86_64                                                                                                       2.6.2-1.ius.centos7                                                                                                       ius
    git2u-email.noarch                                                                                                           2.6.2-1.ius.centos7                                                                                                       ius
    git2u-gui.noarch                                                                                                             2.6.2-1.ius.centos7                                                                                                       ius
    git2u-hg.noarch                                                                                                              2.6.2-1.ius.centos7                                                                                                       ius
    git2u-p4.noarch                                                                                                              2.6.2-1.ius.centos7                                                                                                       ius
    git2u-svn.x86_64                                                                                                             2.6.2-1.ius.centos7                                                                                                       ius

    Before



    Code:
    git --version
    git version 1.8.3.1

    Install Git 2.6



    Install git2u IUS Community package
    Code:
    yum -y install yum-plugin-replace --enablerepo=ius
    yum -y replace git --replace-with git2u --enablerepo=ius
    
    output from
    Code:
    yum -y replace git --replace-with git2u --enablerepo=ius
    
    Loaded plugins: fastestmirror, priorities, replace
    Replacing packages takes time, please be patient...
    Loading mirror speeds from cached hostfile
    * base: centos.mirror.serversaustralia.com.au
    * epel: fedora.mirror.serversaustralia.com.au
    * extras: centos.mirror.serversaustralia.com.au
    * ius: syd.mirror.rackspace.com
    * rpmforge: mirror.hmc.edu
    * updates: mirror.nsw.coloau.com.au
    185 packages excluded due to repository priority protections
    
    WARNING: Unable to resolve all providers: ['perl(Generators)', 'perl(Generators::QMake)', 'perl(Generators::Vcproj)']
    
    Resolving Dependencies
    --> Running transaction check
    ---> Package git.x86_64 0:1.8.3.1-4.el7 will be erased
    ---> Package git2u.x86_64 0:2.6.2-1.ius.centos7 will be installed
    ---> Package perl-Git.noarch 0:1.8.3.1-4.el7 will be erased
    ---> Package perl-Git2u.noarch 0:2.6.2-1.ius.centos7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ==========================================================================================================================================================================================================================================================
    Package                                                    Arch                                                   Version                                                                Repository                                                 Size
    ==========================================================================================================================================================================================================================================================
    Installing:
    git2u                                                      x86_64                                                 2.6.2-1.ius.centos7                                                    ius                                                       5.4 M
    perl-Git2u                                                 noarch                                                 2.6.2-1.ius.centos7                                                    ius                                                        57 k
    Removing:
    git                                                        x86_64                                                 1.8.3.1-4.el7                                                          @anaconda                                                  22 M
    perl-Git                                                   noarch                                                 1.8.3.1-4.el7                                                          @anaconda                                                  57 k
    
    Transaction Summary
    ==========================================================================================================================================================================================================================================================
    Install  2 Packages
    Remove   2 Packages
    
    Total download size: 5.5 M
    Downloading packages:
    (1/2): perl-Git2u-2.6.2-1.ius.centos7.noarch.rpm                                                                                                                                                                                   |  57 kB  00:00:00
    (2/2): git2u-2.6.2-1.ius.centos7.x86_64.rpm                                                                                                                                                                                        | 5.4 MB  00:00:02
    ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    Total                                                                                                                                                                                                                     1.9 MB/s | 5.5 MB  00:00:02
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Installing : perl-Git2u-2.6.2-1.ius.centos7.noarch                                                                                                                                                                                                  1/4
      Installing : git2u-2.6.2-1.ius.centos7.x86_64                                                                                                                                                                                                       2/4
      Erasing    : git-1.8.3.1-4.el7.x86_64                                                                                                                                                                                                               3/4
      Erasing    : perl-Git-1.8.3.1-4.el7.noarch                                                                                                                                                                                                          4/4
      Verifying  : git2u-2.6.2-1.ius.centos7.x86_64                                                                                                                                                                                                       1/4
      Verifying  : perl-Git2u-2.6.2-1.ius.centos7.noarch                                                                                                                                                                                                  2/4
      Verifying  : perl-Git-1.8.3.1-4.el7.noarch                                                                                                                                                                                                          3/4
      Verifying  : git-1.8.3.1-4.el7.x86_64                                                                                                                                                                                                               4/4
    
    Removed:
      git.x86_64 0:1.8.3.1-4.el7                                                                                                perl-Git.noarch 0:1.8.3.1-4.el7                                         
    
    Installed:
      git2u.x86_64 0:2.6.2-1.ius.centos7                                                                                        perl-Git2u.noarch 0:2.6.2-1.ius.centos7                                                                                
    Complete!
    
    Code:
    yum list installed git2u perl-Git2u -q
    Installed Packages
    git2u.x86_64                2.6.2-1.ius.centos7        @ius
    perl-Git2u.noarch       2.6.2-1.ius.centos7        @ius

    After



    Code:
    git --version
    git version 2.6.2
    
    with enough testing and feedback this maybe added to Centmin Mod 123.09 beta and higher as an addon for git 2.6 installer :)

    edit: what the heck, added addons/git2_install.sh Centmin Mod Addon to 123.09beta01 - actual file at centminmod/git2_install.sh at 123.09beta01 · centminmod/centminmod · GitHub :)

    after running addons/git2_install.sh log file at /root/centminlogs
    Code:
    ls -lAhrt /root/centminlogs/
    total 9.3M
    -rw-r--r--. 1 root root 9.8K Nov  5 19:25 centminmod_1.2.3-eva2000.09_061115-052446_yuminstall_centos7.log
    -rw-r--r--. 1 root root  78K Nov  5 19:28 centminmod_yumtimes_061115-052446.log
    -rw-r--r--. 1 root root   38 Nov  5 19:28 centminmod_profiletimes_061115-052446.log
    -rw-r--r--. 1 root root 259K Nov  5 19:29 centminmod_downloadtimes_061115-052446.log
    -rw-r--r--. 1 root root 1.3K Nov  5 19:29 securedtmp.log
    -rw-r--r--. 1 root root   44 Nov  5 19:31 centminmod_libresslinstalltime_061115-052446.log
    -rw-r--r--. 1 root root  842 Nov  5 19:32 gcc_native.log
    -rw-r--r--. 1 root root 915K Nov  5 19:33 centminmod_ngxinstalltime_061115-052446.log
    -rw-r--r--. 1 root root   58 Nov  5 19:41 centminmod_phpinstalltime_061115-052446.log
    -rw-r--r--. 1 root root 1.8K Nov  5 19:46 centminmod_1.2.3-eva2000.09_061115-052446_yum-log.log
    -rw-r--r--. 1 root root   20 Nov  5 19:46 install.utc.time.log
    -rw-r--r--. 1 root root 2.7M Nov  5 19:46 centminmod_1.2.3-eva2000.09_061115-052446_install.log
    -rw-r--r--. 1 root root   49 Nov  5 19:46 firstyum_installtime_061115-052143.log
    -rw-r--r--  1 root root  379 Nov  6 05:40 zendopcache_passfile.txt
    -rw-r--r--  1 root root 5.3M Nov  6 05:51 centminmod_1.2.3-eva2000.09_061115-053902_php_upgrade.log
    -rw-r--r--  1 root root  133 Nov  7 02:06 centminmod_1.2.3-eva2000.09_071115-020606_git_updatenew_branch.log
    -rw-r--r--  1 root root 1.8K Nov  7 02:07 centminmod_1.2.3-eva2000.09_071115-020606_git_envsetup.log
    -rw-r--r--  1 root root 3.3K Nov  7 02:12 centminmod_1.2.3-eva2000.09_071115-020818_git_updatenew_branch.log
    -rw-r--r--  1 root root 8.8K Nov 27 11:49 git2u-install_271115-114859.log
     
    Last edited: Nov 28, 2015
  4. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
    Thank you so very much @eva2000 !!
    When I do this:
    I get this:
     
  5. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    i assume you installed ius community yum repo first ? did you install yum-plugin-replace plugin first ?
    Code:
    yum -y install yum-plugin-replace --enablerepo=ius
     
  6. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
    I did and got this:

     
  7. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    what's the contents of your /etc/yum.repos.d/ius.repo file look like ?
     
  8. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
     
  9. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    and output from
    Code:
    ls -lah /etc/pki/rpm-gpg/IUS-COMMUNITY-GPG-KEY
     
  10. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    try
    Code:
    rpm --import https://dl.iuscommunity.org/pub/ius/IUS-COMMUNITY-GPG-KEY
     
  11. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
    Should I just start over and try again?
     
  12. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    do rpm --import above then try yum install again for both

    Code:
    rpm --import https://dl.iuscommunity.org/pub/ius/IUS-COMMUNITY-GPG-KEY
    yum -y install yum-plugin-replace --enablerepo=ius
    yum -y replace git --replace-with git2u --enablerepo=ius
     
  13. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
     
  14. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    you're missing some dependencies which should of been installed

    Code:
    yum deplist git2u --enablerepo=ius --disableplugin=priorities
    Loaded plugins: fastestmirror, replace
    Loading mirror speeds from cached hostfile
    * base: centos.mirror.serversaustralia.com.au
    * epel: fedora.uberglobalmirror.com
    * extras: centos.mirror.serversaustralia.com.au
    * ius: ius.mirror.digitalpacific.com.au
    * rpmforge: mirror.as24220.net
    * updates: centos.mirror.serversaustralia.com.au
    package: git2u.x86_64 2.6.2-1.ius.centos7
      dependency: /bin/sh
       provider: bash.x86_64 4.2.46-12.el7
      dependency: /usr/bin/env
       provider: coreutils.x86_64 8.22-12.el7_1.2
      dependency: /usr/bin/perl
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: less
       provider: less.x86_64 458-8.el7
      dependency: libc.so.6(GLIBC_2.7)(64bit)
       provider: glibc.x86_64 2.17-78.el7
      dependency: libcrypto.so.10()(64bit)
       provider: openssl-libs.x86_64 1:1.0.1e-42.el7.9
      dependency: libcrypto.so.10(libcrypto.so.10)(64bit)
       provider: openssl-libs.x86_64 1:1.0.1e-42.el7.9
      dependency: libcurl.so.4()(64bit)
       provider: libcurl.x86_64 7.29.0-19.el7
      dependency: libexpat.so.1()(64bit)
       provider: expat.x86_64 2.1.0-8.el7
      dependency: libglib-2.0.so.0()(64bit)
       provider: glib2.x86_64 2.40.0-4.el7
      dependency: libgnome-keyring.so.0()(64bit)
       provider: libgnome-keyring.x86_64 3.8.0-3.el7
      dependency: libpcre.so.1()(64bit)
       provider: pcre.x86_64 8.32-14.el7
      dependency: libpthread.so.0()(64bit)
       provider: glibc.x86_64 2.17-78.el7
      dependency: libpthread.so.0(GLIBC_2.2.5)(64bit)
       provider: glibc.x86_64 2.17-78.el7
      dependency: libpthread.so.0(GLIBC_2.3.2)(64bit)
       provider: glibc.x86_64 2.17-78.el7
      dependency: librt.so.1()(64bit)
       provider: glibc.x86_64 2.17-78.el7
      dependency: librt.so.1(GLIBC_2.2.5)(64bit)
       provider: glibc.x86_64 2.17-78.el7
      dependency: libssl.so.10()(64bit)
       provider: openssl-libs.x86_64 1:1.0.1e-42.el7.9
      dependency: libssl.so.10(libssl.so.10)(64bit)
       provider: openssl-libs.x86_64 1:1.0.1e-42.el7.9
      dependency: libz.so.1()(64bit)
       provider: zlib.x86_64 1.2.7-13.el7
      dependency: libz.so.1(ZLIB_1.2.0)(64bit)
       provider: zlib.x86_64 1.2.7-13.el7
      dependency: openssh-clients
       provider: openssh-clients.x86_64 6.6.1p1-12.el7_1
      dependency: perl >= 5.008
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(Error)
       provider: perl-Error.noarch 1:0.17020-2.el7
      dependency: perl(File::Basename)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(File::Copy)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(File::Find)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(File::Path)
       provider: perl-File-Path.noarch 2.09-2.el7
      dependency: perl(File::Spec)
       provider: perl-PathTools.x86_64 3.40-5.el7
      dependency: perl(File::Temp)
       provider: perl-File-Temp.noarch 0.23.01-3.el7
      dependency: perl(File::stat)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(Getopt::Long)
       provider: perl-Getopt-Long.noarch 2.40-2.el7
      dependency: perl(Git)
       provider: perl-Git2u.noarch 2.6.2-1.ius.centos7
       provider: perl-Git.noarch 1.8.3.1-4.el7
      dependency: perl(Term::ReadKey)
       provider: perl-TermReadKey.x86_64 2.30-20.el7
      dependency: perl(lib)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(strict)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(warnings)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl-Git2u = 2.6.2-1.ius.centos7
       provider: perl-Git2u.noarch 2.6.2-1.ius.centos7
      dependency: rsync
       provider: rsync31u.x86_64 3.1.1-3.ius.centos7
       provider: rsync.x86_64 3.0.9-15.el7
      dependency: rtld(GNU_HASH)
       provider: glibc.x86_64 2.17-78.el7
      dependency: zlib >= 1.2
       provider: zlib.x86_64 1.2.7-13.el7
    
    Code:
    yum deplist perl-Git2u --enablerepo=ius --disableplugin=priorities
    Loaded plugins: fastestmirror, replace
    Loading mirror speeds from cached hostfile
    * base: centos.mirror.serversaustralia.com.au
    * epel: fedora.uberglobalmirror.com
    * extras: centos.mirror.serversaustralia.com.au
    * ius: ius.mirror.digitalpacific.com.au
    * rpmforge: mirror.as24220.net
    * updates: centos.mirror.serversaustralia.com.au
    package: perl-Git2u.noarch 2.6.2-1.ius.centos7
      dependency: git2u = 2.6.2-1.ius.centos7
       provider: git2u.x86_64 2.6.2-1.ius.centos7
      dependency: perl >= 5.008
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(:MODULE_COMPAT_5.16.3)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(Carp)
       provider: perl-Carp.noarch 1.26-244.el7
      dependency: perl(Cwd)
       provider: perl-PathTools.x86_64 3.40-5.el7
      dependency: perl(Error)
       provider: perl-Error.noarch 1:0.17020-2.el7
      dependency: perl(Exporter)
       provider: perl-Exporter.noarch 5.68-3.el7
      dependency: perl(Fcntl)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(IPC::Open2)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(Time::Local)
       provider: perl-Time-Local.noarch 1.2300-2.el7
      dependency: perl(strict)
       provider: perl.x86_64 4:5.16.3-285.el7
      dependency: perl(warnings)
       provider: perl.x86_64 4:5.16.3-285.el7
    pcre package
    Code:
    rpm -ql pcre | grep so
    /usr/lib64/libpcre.so.1
    /usr/lib64/libpcre.so.1.2.0
    /usr/lib64/libpcre16.so.0
    /usr/lib64/libpcre16.so.0.2.0
    /usr/lib64/libpcre32.so.0
    /usr/lib64/libpcre32.so.0.0.0
    /usr/lib64/libpcrecpp.so.0
    /usr/lib64/libpcrecpp.so.0.0.0
    /usr/lib64/libpcreposix.so.0
    /usr/lib64/libpcreposix.so.0.0.1
    Code:
    yum list perl pcre
    Loaded plugins: fastestmirror, priorities, replace
    Loading mirror speeds from cached hostfile
    * base: centos.mirror.serversaustralia.com.au
    * epel: fedora.uberglobalmirror.com
    * extras: centos.mirror.serversaustralia.com.au
    * rpmforge: mirror.as24220.net
    * updates: centos.mirror.serversaustralia.com.au
    185 packages excluded due to repository priority protections
    Installed Packages
    pcre.x86_64                                                                                                             8.32-14.el7                                                                                                                  @base
    perl.x86_64                                                                                                             4:5.16.3-285.el7                                                                                                             @base
     
  15. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
    How would I install these 2?

     
  16. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    they should already be installed out of box for Centmin Mod LEMP installs otherwise other stuff would of broke as well that rely on those packages

    what's output for
    Code:
    yum list perl pcre
    unless it's a non-Centmin Mod system ?
     
  17. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
     
  18. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    ah el6 (pcre.x86_64 7.8-7.el6) ! you installed the wrong IUS Community repo for CentOS 7 and not CentOS 6 !
     
  19. Matt Williams

    Matt Williams WordPress Fanatic

    468
    90
    28
    Nov 22, 2014
    Virginia, USA
    Ratings:
    +135
    Local Time:
    2:22 AM
    latest
    10
    Did not realize I was still on 6.5 for this site lol! damn
     
    • Funny Funny x 1
  20. eva2000

    eva2000 Administrator Staff Member

    30,914
    6,909
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,405
    Local Time:
    5:22 PM
    Nginx 1.13.x
    MariaDB 5.5
    remove the current IUS Community repo and install CentOS 6 one
    Code:
    rpm -e $(rpm -qa ius-release)